Package Details: criptext-bin 0.30.2-1

Git Clone URL: https://aur.archlinux.org/criptext-bin.git (read-only, click to copy)
Package Base: criptext-bin
Description: Official Criptext encrypted email client
Upstream URL: https://criptext.com/
Keywords: appimage criptext email encryption
Licenses: GPL2
Conflicts: criptext-bin
Provides: criptext-bin
Submitter: ajgraves
Maintainer: ajgraves
Last Packager: ajgraves
Votes: 7
Popularity: 0.133637
First Submitted: 2019-04-22 03:32
Last Updated: 2020-09-17 21:00

Dependencies (4)

Required by (0)

Sources (3)

Latest Comments

1 2 3 Next › Last »

ciciolina commented on 2020-08-05 01:15

Hi, new version was released today, i hope this fix the tray icon issue! Thanks i wait for your update!

ajgraves commented on 2020-07-09 23:02

@b0nete, yes it looks like Criptext has pushed an updated version. When they do that, they remove the old version which causes the download to fail until this PKGBUILD is updated. I have just pushed a new version to update to the latest release.

b0nete commented on 2020-07-09 22:51

Seems that criptext again changes the .AppImage URL, and i not find the releases in anywhere , only i can build this package using latest tag.

Maintainer: Aaron J Graves linux@ajgraves.com

pkgname=criptext pkgver=latest pkgrel=1 pkgdesc='Official Criptext encrypted email client' arch=('x86_64') url='https://criptext.com/' license=('GPL2') provides=("${pkgname}") conflicts=("${pkgname}") depends=('electron' 'libsecret') optdepends=('org.freedesktop.secrets: for storing passwords' 'gnome-keyring: for storing passwords in GNOME Keyring') options=(!strip) source=("${pkgname%-bin}-${pkgver}-${pkgrel}.AppImage::https://cdn.criptext.com/Criptext-Email-Desktop/linux/Criptext-${pkgver}.AppImage" "criptext" "LICENSE") sha512sums=('ea2c0f6182393040a9362571d268fd94772a0be77a972f6556ad08786a191a62674bfdd92e2183d440ab6d0d340aad09aa4ec0eac0ccb4779f10c6247afef101' '1665c4e992f91c00aab96a39b62c736731727a371c146923cf575d64a7e723f082170f115dc2fe87c6b5510a2f2e0fb12f111e947f6d2da994472d48887a2f5b' 'aee80b1f9f7f4a8a00dcf6e6ce6c41988dcaedc4de19d9d04460cbfb05d99829ffe8f9d038468eabbfba4d65b38e8dbef5ecf5eb8a1b891d9839cda6c48ee957')

prepare() { chmod +x ${srcdir}/${pkgname}-${pkgver}-${pkgrel}.AppImage ${srcdir}/${pkgname}-${pkgver}-${pkgrel}.AppImage --appimage-extract

# Update .desktop file sed -i 's|Exec=AppRun|Exec=/usr/bin/criptext|g' \ "${srcdir}/squashfs-root/${pkgname}.desktop" }

package() { find ${srcdir}/squashfs-root/{locales,resources,usr/share/icons}/ -type d -exec chmod 755 {} + install -d ${pkgdir}/opt/${pkgname} cp -r ${srcdir}/squashfs-root/* ${pkgdir}/opt/${pkgname} rm -r ${pkgdir}/opt/${pkgname}/usr/

install -d ${pkgdir}/usr/share/icons cp -r ${srcdir}/squashfs-root/usr/share/icons/hicolor ${pkgdir}/usr/share/icons/hicolor

install -Dm644 "${srcdir}/squashfs-root/${pkgname%-bin}.desktop" -t "${pkgdir}/usr/share/applications"

install -Dm755 ${srcdir}/criptext ${pkgdir}/usr/bin/criptext install -Dm444 ${srcdir}/LICENSE ${pkgdir}/usr/share/LICENSES/${pkgname}/LICENSE }

ajgraves commented on 2020-05-26 18:31

Thanks @HughMungus, Criptext appears to have made a change to the AppImage that changed the checksum, but they did not bump the version.

HughMungus commented on 2020-05-26 08:38

-> Found criptext -> Found LICENSE ==> Validating source files with sha512sums... Criptext-0.29.0.AppImage ... FAILED criptext ... Passed LICENSE ... Passed ==> ERROR: One or more files did not pass the validity check! Error downloading sources: criptext-bin

ajgraves commented on 2020-05-08 00:02

Hi @camilobog, I generally try to keep this package up to date with the most recent releases. You won't be able to use the built-in auto update, as the application is installed in a location where your user account will not have the ability to modify it. However, you can always install the latest update when this package is updated.

camilobog commented on 2020-05-07 23:14

Hi, thanks for the work of maintain the package, i only like to say thanks and remember that its a new version of the package, i try to update directly from critext app but dont let me do it, can you upgrade it via update here? Thanks again and stay safe!

ajgraves commented on 2020-03-15 12:52

I just published an update that should cover this dependency

mephysto commented on 2020-03-15 11:21

As I wrote in the edit, I resolved the issue.

I had to install gnome-keyring package, and now Criptex is can run without problems.

Maybe adding gnome-keyring in the dependencies could be useful.

Many thanks.

Meph

ajgraves commented on 2020-03-14 14:29

@mephysto that’s definitely beyond the scope of packaging, you’d need to check with Criptext support themselves. One thing I’d recommend is killing all those processes you list and trying to start it again.